//
//  FlutterFimSegmentviewArgs.h
//  flutter_fim_segmentview
//
//  Created by zhuyuhui on 2020/5/30.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FlutterFimSegmentviewArgs : NSObject
@property (nonatomic, strong) NSArray <NSString *>*titles;

@property (nonatomic,   copy) NSString *titleNumberOfLines; //默认：1

@property (nonatomic, strong) NSString *titleColor;      //默认：[UIColor blackColor]

@property (nonatomic, strong) NSString *titleSelectedColor;      //默认：[UIColor redColor]

@property (nonatomic, strong) NSString *titleFont;    //默认：[UIFont systemFontOfSize:15]

@property (nonatomic, strong) NSString *titleSelectedFont;    //文字被选中的字体。默认：与titleFont一样

@property (nonatomic, assign) NSUInteger defaultSelectedIndex;       //默认选中：0

@property (nonatomic,   copy) NSString *indicatorColor;     //指示器颜色
@end

NS_ASSUME_NONNULL_END
